> For the complete documentation index, see [llms.txt](https://docs.namiml.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.namiml.com/sdk-reference/namipurchasemanager/registerpurchaseschangedhandler.md).

# registerPurchasesChangedHandler

Register a callback that will be made anytime there is a change to purchases made on the device. This will be triggered when a purchase process is started and may have different states based on the particular store platform.

{% tabs %}
{% tab title="Swift" %}

```swift
NamiPurchaseManager.registerPurchasesChangedHandler { (purchases, purchaseState, error) in
	// process purchases data
}
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiPurchaseManager.registerPurchasesChangedHandler { purchases, purchaseState, error ->
  // process purchases change
}
```

{% endtab %}

{% tab title="Flutter" %}

```dart
NamiPurchaseManager.registerPurchasesChangedHandler()
    .listen((purchasesResponseHandlerData) {
    // process purchases change
});
```

{% endtab %}

{% tab title="React Native" %}

```Text
// Coming soon
```

{% endtab %}

{% tab title="Unity" %}

```c
NamiPurchaseManager.RegisterPurchasesChangedHandler(purchasesChangedCallback);
```

{% endtab %}
{% endtabs %}

**Returns**

* `purchases` - a list of the current purchases
* `purchaseState` - the state of the purchase, see [NamiPurchaseState](/sdk-reference/namipurchasemanager/namipurchasestate.md) for all options
* `error` - information about an error if one occurred, generated by the store platform making the purchase


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namipurchasemanager/registerpurchaseschangedhandler.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
